Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj.fpga
Class tDIO

    java.lang.Object
      edu.wpi.first.wpilibj.fpga.tSystem
          edu.wpi.first.wpilibj.fpga.tDIO

All Implemented Interfaces:
  ExpectedFPGASignature

    public class tDIO

extends tSystem

Field Summary
`static int` | `kDO_PWMDutyCycle_ElementMask`
`static int` | `kDO_PWMDutyCycle_ElementSize`
`static int` | `kDO_PWMDutyCycle_NumElements`
`static int` | `kFilterPeriod_ElementMask`
`static int` | `kFilterPeriod_ElementSize`
`static int` | `kFilterPeriod_NumElements`
`static int` | `kFilterSelect_ElementMask`
`static int` | `kFilterSelect_ElementSize`
`static int` | `kFilterSelect_NumElements`
`static int` | `kNumSystems`
`static int` | `kPWMPeriodScale_ElementMask`
`static int` | `kPWMPeriodScale_ElementSize`
`static int` | `kPWMPeriodScale_NumElements`
`static int` | `kPWMValue_NumRegisters`
`int` | `m_SystemIndex`

Fields inherited from class edu.wpi.first.wpilibj.fpga.tSystem
`m_DeviceHandle, status`

Fields inherited from interface edu.wpi.first.wpilibj.fpga.ExpectedFPGASignature
`kBitfileName, kExpectedFPGARevision, kExpectedFPGASignature, kExpectedFPGASignatureStr, kExpectedFPGAVersion`

Constructor Summary
`tDIO(int sys_index)`

Method Summary
`protected void` | `finalize()`
`int` | `getSystemIndex()`
`boolean` | `readBFL()`
`int` | `readDI()`
`byte` | `readDO_PWMConfig_OutputSelect_0()`
`byte` | `readDO_PWMConfig_OutputSelect_1()`
`byte` | `readDO_PWMConfig_OutputSelect_2()`
`byte` | `readDO_PWMConfig_OutputSelect_3()`
`byte` | `readDO_PWMConfig_PeriodPower()`
`int` | `readDO_PWMConfig()`
`short` | `readDO_PWMDutyCycle(int bitfield_index)`
`int` | `readDO()`
`short` | `readFilterPeriod(int bitfield_index)`
`byte` | `readFilterSelect(int bitfield_index)`
`short` | `readI2CConfig_Address()`
`boolean` | `readI2CConfig_BitwiseHandshake()`
`byte` | `readI2CConfig_BytesToRead()`
`byte` | `readI2CConfig_BytesToWrite()`
`int` | `readI2CConfig_DataToSendHigh()`
`int` | `readI2CConfig()`
`long` | `readI2CDataReceived()`
`long` | `readI2CDataToSend()`
`boolean` | `readI2CStatus_Aborted()`
`int` | `readI2CStatus_DataReceivedHigh()`
`boolean` | `readI2CStatus_Done()`
`byte` | `readI2CStatus_Transaction()`
`int` | `readI2CStatus()`
`static int` | `readLoopTiming()`
`int` | `readOutputEnable()`
`int` | `readPulse()`
`short` | `readPulseLength()`
`static int` | `readPWMConfig_MinHigh()`
`static int` | `readPWMConfig_Period()`
`static int` | `readPWMConfig()`
`byte` | `readPWMPeriodScale(int bitfield_index)`
`short` | `readPWMValue(int reg_index)`
`byte` | `readSlowValue_I2CHeader()`
`short` | `readSlowValue_RelayFwd()`
`short` | `readSlowValue_RelayRev()`
`int` | `readSlowValue()`
`void` | `strobeI2CStart()`
`void` | `writeBFL(boolean value)`
`void` | `writeDO_PWMConfig_OutputSelect_0(int value)`
`void` | `writeDO_PWMConfig_OutputSelect_1(int value)`
`void` | `writeDO_PWMConfig_OutputSelect_2(int value)`
`void` | `writeDO_PWMConfig_OutputSelect_3(int value)`
`void` | `writeDO_PWMConfig_PeriodPower(int value)`
`void` | `writeDO_PWMConfig(int value)`
`void` | `writeDO_PWMDutyCycle(int bitfield_index, int value)`
`void` | `writeDO(int value)`
`void` | `writeFilterPeriod(int bitfield_index, int value)`
`void` | `writeFilterSelect(int bitfield_index, int value)`
`void` | `writeI2CConfig_Address(int value)`
`void` | `writeI2CConfig_BitwiseHandshake(boolean value)`
`void` | `writeI2CConfig_BytesToRead(int value)`
`void` | `writeI2CConfig_BytesToWrite(int value)`
`void` | `writeI2CConfig_DataToSendHigh(int value)`
`void` | `writeI2CConfig(int value)`
`void` | `writeI2CDataToSend(long value)`
`void` | `writeOutputEnable(int value)`
`void` | `writePulse(int value)`
`void` | `writePulseLength(int value)`
`static void` | `writePWMConfig_MinHigh(int value)`
`static void` | `writePWMConfig_Period(int value)`
`static void` | `writePWMConfig(int value)`
`void` | `writePWMPeriodScale(int bitfield_index, int value)`
`void` | `writePWMValue(int reg_index, int value)`
`void` | `writeSlowValue_I2CHeader(int value)`
`void` | `writeSlowValue_RelayFwd(int value)`
`void` | `writeSlowValue_RelayRev(int value)`
`void` | `writeSlowValue(int value)`

Methods inherited from class edu.wpi.first.wpilibj.fpga.tSystem
`getFpgaGuid, Release`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### kNumSystems

    public static final int kNumSystems

See Also:
  Constant Field Values

### m_SystemIndex

    public final int m_SystemIndex

### kFilterSelect_NumElements

    public static final int kFilterSelect_NumElements

See Also:
  Constant Field Values

### kFilterSelect_ElementSize

    public static final int kFilterSelect_ElementSize

See Also:
  Constant Field Values

### kFilterSelect_ElementMask

    public static final int kFilterSelect_ElementMask

See Also:
  Constant Field Values

### kFilterPeriod_NumElements

    public static final int kFilterPeriod_NumElements

See Also:
  Constant Field Values

### kFilterPeriod_ElementSize

    public static final int kFilterPeriod_ElementSize

See Also:
  Constant Field Values

### kFilterPeriod_ElementMask

    public static final int kFilterPeriod_ElementMask

See Also:
  Constant Field Values

### kPWMPeriodScale_NumElements

    public static final int kPWMPeriodScale_NumElements

See Also:
  Constant Field Values

### kPWMPeriodScale_ElementSize

    public static final int kPWMPeriodScale_ElementSize

See Also:
  Constant Field Values

### kPWMPeriodScale_ElementMask

    public static final int kPWMPeriodScale_ElementMask

See Also:
  Constant Field Values

### kDO_PWMDutyCycle_NumElements

    public static final int kDO_PWMDutyCycle_NumElements

See Also:
  Constant Field Values

### kDO_PWMDutyCycle_ElementSize

    public static final int kDO_PWMDutyCycle_ElementSize

See Also:
  Constant Field Values

### kDO_PWMDutyCycle_ElementMask

    public static final int kDO_PWMDutyCycle_ElementMask

See Also:
  Constant Field Values

### kPWMValue_NumRegisters

    public static final int kPWMValue_NumRegisters

See Also:
  Constant Field Values

Constructor Detail

### tDIO

    public tDIO(int sys_index)

Method Detail

### finalize

    protected void finalize()

  Overrides:
    `finalize` in class `tSystem`

### getSystemIndex

    public int getSystemIndex()

### writeFilterSelect

    public void writeFilterSelect(int bitfield_index,
                                  int value)

### readFilterSelect

    public byte readFilterSelect(int bitfield_index)

### writeI2CDataToSend

    public void writeI2CDataToSend(long value)

### readI2CDataToSend

    public long readI2CDataToSend()

### writeDO

    public void writeDO(int value)

### readDO

    public int readDO()

### writeFilterPeriod

    public void writeFilterPeriod(int bitfield_index,
                                  int value)

### readFilterPeriod

    public short readFilterPeriod(int bitfield_index)

### writeOutputEnable

    public void writeOutputEnable(int value)

### readOutputEnable

    public int readOutputEnable()

### writePulse

    public void writePulse(int value)

### readPulse

    public int readPulse()

### writeSlowValue

    public void writeSlowValue(int value)

### writeSlowValue_RelayFwd

    public void writeSlowValue_RelayFwd(int value)

### writeSlowValue_RelayRev

    public void writeSlowValue_RelayRev(int value)

### writeSlowValue_I2CHeader

    public void writeSlowValue_I2CHeader(int value)

### readSlowValue

    public int readSlowValue()

### readSlowValue_RelayFwd

    public short readSlowValue_RelayFwd()

### readSlowValue_RelayRev

    public short readSlowValue_RelayRev()

### readSlowValue_I2CHeader

    public byte readSlowValue_I2CHeader()

### readI2CStatus

    public int readI2CStatus()

### readI2CStatus_Transaction

    public byte readI2CStatus_Transaction()

### readI2CStatus_Done

    public boolean readI2CStatus_Done()

### readI2CStatus_Aborted

    public boolean readI2CStatus_Aborted()

### readI2CStatus_DataReceivedHigh

    public int readI2CStatus_DataReceivedHigh()

### readI2CDataReceived

    public long readI2CDataReceived()

### readDI

    public int readDI()

### writePulseLength

    public void writePulseLength(int value)

### readPulseLength

    public short readPulseLength()

### writePWMPeriodScale

    public void writePWMPeriodScale(int bitfield_index,
                                    int value)

### readPWMPeriodScale

    public byte readPWMPeriodScale(int bitfield_index)

### writeDO_PWMDutyCycle

    public void writeDO_PWMDutyCycle(int bitfield_index,
                                     int value)

### readDO_PWMDutyCycle

    public short readDO_PWMDutyCycle(int bitfield_index)

### writeBFL

    public void writeBFL(boolean value)

### readBFL

    public boolean readBFL()

### writeI2CConfig

    public void writeI2CConfig(int value)

### writeI2CConfig_Address

    public void writeI2CConfig_Address(int value)

### writeI2CConfig_BytesToRead

    public void writeI2CConfig_BytesToRead(int value)

### writeI2CConfig_BytesToWrite

    public void writeI2CConfig_BytesToWrite(int value)

### writeI2CConfig_DataToSendHigh

    public void writeI2CConfig_DataToSendHigh(int value)

### writeI2CConfig_BitwiseHandshake

    public void writeI2CConfig_BitwiseHandshake(boolean value)

### readI2CConfig

    public int readI2CConfig()

### readI2CConfig_Address

    public short readI2CConfig_Address()

### readI2CConfig_BytesToRead

    public byte readI2CConfig_BytesToRead()

### readI2CConfig_BytesToWrite

    public byte readI2CConfig_BytesToWrite()

### readI2CConfig_DataToSendHigh

    public int readI2CConfig_DataToSendHigh()

### readI2CConfig_BitwiseHandshake

    public boolean readI2CConfig_BitwiseHandshake()

### writeDO_PWMConfig

    public void writeDO_PWMConfig(int value)

### writeDO_PWMConfig_PeriodPower

    public void writeDO_PWMConfig_PeriodPower(int value)

### writeDO_PWMConfig_OutputSelect_0

    public void writeDO_PWMConfig_OutputSelect_0(int value)

### writeDO_PWMConfig_OutputSelect_1

    public void writeDO_PWMConfig_OutputSelect_1(int value)

### writeDO_PWMConfig_OutputSelect_2

    public void writeDO_PWMConfig_OutputSelect_2(int value)

### writeDO_PWMConfig_OutputSelect_3

    public void writeDO_PWMConfig_OutputSelect_3(int value)

### readDO_PWMConfig

    public int readDO_PWMConfig()

### readDO_PWMConfig_PeriodPower

    public byte readDO_PWMConfig_PeriodPower()

### readDO_PWMConfig_OutputSelect_0

    public byte readDO_PWMConfig_OutputSelect_0()

### readDO_PWMConfig_OutputSelect_1

    public byte readDO_PWMConfig_OutputSelect_1()

### readDO_PWMConfig_OutputSelect_2

    public byte readDO_PWMConfig_OutputSelect_2()

### readDO_PWMConfig_OutputSelect_3

    public byte readDO_PWMConfig_OutputSelect_3()

### strobeI2CStart

    public void strobeI2CStart()

### readLoopTiming

    public static int readLoopTiming()

### writePWMConfig

    public static void writePWMConfig(int value)

### writePWMConfig_Period

    public static void writePWMConfig_Period(int value)

### writePWMConfig_MinHigh

    public static void writePWMConfig_MinHigh(int value)

### readPWMConfig

    public static int readPWMConfig()

### readPWMConfig_Period

    public static int readPWMConfig_Period()

### readPWMConfig_MinHigh

    public static int readPWMConfig_MinHigh()

### writePWMValue

    public void writePWMValue(int reg_index,
                              int value)

### readPWMValue

    public short readPWMValue(int reg_index)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"